(function () {
    'use strict';

    angular
        .module('app')
        .factory('ComandoDispositivos', ComandoDispositivos);

    ComandoDispositivos.$inject = ['Server'];

    function ComandoDispositivos(Server) {
        function SalvarDispositivo(obj, successCallback, errorCallback) {
            var action = '/Dispositivos/SalvarDispositivo';
            Server.post(action, obj, successCallback, errorCallback);
        }

        function ExcluirDispositivo(codigoDispositivo, successCallback, errorCallback) {
            var action = '/Dispositivos/ExcluirDispositivo';
            Server.post(action, codigoDispositivo, successCallback, errorCallback);
        }

        function AplicarFiltro(obj, successCallback, errorCallback) {
            var action = 'Dispositivos/AplicarFiltro';
            Server.post(action, obj, successCallback, errorCallback);
        };
        
        return {
            SalvarDispositivo: SalvarDispositivo,
            ExcluirDispositivo: ExcluirDispositivo,
            AplicarFiltro: AplicarFiltro
        }
    }
})();